Meride API - Akamai Media Analytics - Update

This page explains how to update elements Akamai Media Analytics.

PUT http://API_DOMAIN/rest/ama/{resource-id}.{format}

{resource-id}: the object ID

Attributes

Parameter Value Mandatory
title A non-empty string NO
predefinito 1 se si desidera che la configurazione aggiornata sia la predefinita. 0 otherwise. Una configurazione predefinita viene automaticamente associata in fase di creazione di un nuovo embed qual'ora non specificato esplicitamente NO
description A string NO

Response

Field Value Description
id string Object ID
title string Object title
predefinito boolean 1 if the default configuration is Akamai Media Analytics . 0 otherwise
description string The associated description
data_inserimento string The create date that follows the format Y-m-d H:i:s
Y(year) m(month) d(day) H(hours) i(minutes) s(seconds)
url_beacon string URL of the associated beacon file

Example of a curl request

curl -i -H "Accept: application/json" -H "access_token: Zuqk4nX6SfiaL20cO6np2i29Xyhn6NCW8T636UZPZ8QA0GDFDRUvZNuNbB08ft" -H "X-HTTP-Method-Override: PUT" -X POST -d "titolo=AMA title" http://API_DOMAIN/rest/ama/7.json

Example of a JSON response

{
    "id":"7",
    "titolo":"AMA title",
    "predefinito":"1",
    "descrizione":null,
    "data_inserimento":"2013-05-18 17:00:37",
    "url_beacon":"http:\/\/example.com\/meride\/video\/images\/test.xml"
}
            

Note The updated object will be returned as a response

Note The PUT method is not supported by all systems. In case of problems, add the parameter to the Header of the callX-HTTP-Method-Override: PUT ed utilizzare il metodo POST come default